summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/image_processing/image_processing-1.12.2.ebuild6
-rw-r--r--dev-ruby/minitest/Manifest1
-rw-r--r--dev-ruby/minitest/minitest-5.23.0.ebuild28
-rw-r--r--dev-ruby/rb-inotify/Manifest1
-rw-r--r--dev-ruby/rb-inotify/rb-inotify-0.11.1.ebuild36
-rw-r--r--dev-ruby/rbpdf/rbpdf-1.21.3.ebuild4
6 files changed, 71 insertions, 5 deletions
diff --git a/dev-ruby/image_processing/image_processing-1.12.2.ebuild b/dev-ruby/image_processing/image_processing-1.12.2.ebuild
index 0e84e582aef1..4dd26bab9d93 100644
--- a/dev-ruby/image_processing/image_processing-1.12.2.ebuild
+++ b/dev-ruby/image_processing/image_processing-1.12.2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md doc/*.md"
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/janko/image_processing/archive/v${PV}.tar.gz -> ${P}
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
-IUSE=""
+IUSE="test"
DEPEND+=" test? ( media-gfx/imagemagick[jpeg,png,tiff,xml] )"
diff --git a/dev-ruby/minitest/Manifest b/dev-ruby/minitest/Manifest
index a1665637a75a..416fe9d105b2 100644
--- a/dev-ruby/minitest/Manifest
+++ b/dev-ruby/minitest/Manifest
@@ -5,3 +5,4 @@ DIST minitest-5.20.0.gem 95744 BLAKE2B b91a895b40a2703478300be236cff878888850998
DIST minitest-5.21.2.gem 98304 BLAKE2B 09de6552a95a639b01a3935cf418301e453a9bb4a7edb85d4f2e27b5e8811db722adbc1ed37da1835c545065f8b4169e19e48c1b48a1778ec1c7bf2048628697 SHA512 4cf86dab870f1cb39ef8c9756fa843c6ddc03ff7738c404db37abc7bdb0ff0436e5a64ed15a733d72e7ae0b8412e4b44cbda0ef3d89ba487268f3550d9248e0c
DIST minitest-5.22.2.gem 98816 BLAKE2B fcb519fbcf41f908a89608707ce7b2083ddecd3d5a1f8ec8d86e9d84df299997e5a424d201e3704234e695be6f969ab9182dcb0a2170c1277b3e8cd1b2c27b66 SHA512 aafeec582d60f580317f7d30319dd0c0fbb04269359e0aa4de62d0c598039d44dc9a28ce4f999550e7e3a2f48871e4cc563b45ebabf3f8ba7207b7e734b3b5d8
DIST minitest-5.22.3.gem 99328 BLAKE2B c5d67807bd5e9fbe86be0f6f48886854dd7148ccc11062e511c8e354e2b789b3b7a6318cf5fcb06d1064d15378c2df1b2dca474b8eb2d37ba8e04d92a4f688b2 SHA512 11b5279cbedc1b4c6dc3997530f82a35b17a2fef258140332a21edcc0f880a4013514d811207dd8b79fe094e25fbfc5f8d2481b4313ec7dcdd5d8c70af9cf5bd
+DIST minitest-5.23.0.gem 99840 BLAKE2B 59b7f6240626934ba055bec390c762598cf662628c80dd66c95c431e45b7849a991ce6ed1e29a225dcc44ecb096bf572f6d2940614c029baa7e573126baa4081 SHA512 c8031bdfe29ca67162bcbf1e88ee7473ec1ad45d998ce1c9e52fbc88ef0dc10fb98cce74a27f8efac59cce9ec38491777b1e769f9aadd77ebc3cc8238dbd70c3
diff --git a/dev-ruby/minitest/minitest-5.23.0.ebuild b/dev-ruby/minitest/minitest-5.23.0.ebuild
new file mode 100644
index 000000000000..c6f3489eae50
--- /dev/null
+++ b/dev-ruby/minitest/minitest-5.23.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="minitest/unit is a small and fast replacement for ruby's huge and slow test/unit"
+HOMEPAGE="https://github.com/minitest/minitest"
+
+LICENSE="MIT"
+SLOT="5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+all_ruby_prepare() {
+ # Avoid a test dependency on dev-ruby/hoe, leading to circular dependencies
+ rm -f test/minitest/test_minitest_test_task.rb || die
+}
+
+each_ruby_test() {
+ export -n A
+ MT_NO_PLUGINS=true ${RUBY} -Ilib:test:. -e "Dir['**/test_*.rb'].each{|f| require f}" || die "Tests failed"
+}
diff --git a/dev-ruby/rb-inotify/Manifest b/dev-ruby/rb-inotify/Manifest
index a8dc2f0fc559..d7258fc4aca5 100644
--- a/dev-ruby/rb-inotify/Manifest
+++ b/dev-ruby/rb-inotify/Manifest
@@ -1 +1,2 @@
DIST rb-inotify-0.10.1.gem 15872 BLAKE2B 1ddf4fe8de7cdd348e007ac29ab7b41667092439f9b70eeae49d7e917351c73512e43a7ccf6679af1c9225b19efadb6a1581f63e1958d2a31d61f2bce5a13664 SHA512 7831a6228f2d6363e634b8d6b4a12206f19b96098e5dfba1d27b1e994a7284a5cb58cd0299d861a6ff275fc8248c0e68faaaf786d6222ad68f3e6b43ccea29ec
+DIST rb-inotify-0.11.1.tar.gz 12136 BLAKE2B 3a1dc507589c02cd07903f33546d9a222bf2fad6afc283dd1a463549fdb38c8b1aadc00ab4abfe3f7e63d1a138bec0f8ac8a4bbe7c66282a9a7007e9f7012805 SHA512 46966609686878d99c5a6623f5a3f55ef203ae32e48d0efbef295f97cc728c6938759360d445e052b82206322c7bf6f995db3007c7f3c0b2818549b8088be9bf
diff --git a/dev-ruby/rb-inotify/rb-inotify-0.11.1.ebuild b/dev-ruby/rb-inotify/rb-inotify-0.11.1.ebuild
new file mode 100644
index 000000000000..26ddd7c62cf3
--- /dev/null
+++ b/dev-ruby/rb-inotify/rb-inotify-0.11.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="rb-inotify.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A thorough inotify wrapper for Ruby using FFI"
+HOMEPAGE="https://github.com/guard/rb-inotify"
+SRC_URI="https://github.com/guard/rb-inotify/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/ffi:0"
+
+ruby_add_bdepend "test? ( dev-ruby/concurrent-ruby )"
+
+all_ruby_prepare() {
+ sed -e "s:_relative ': './:" \
+ -e 's/git ls-files/find * -print/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Remove mandatory markup processor from yard options, bug 436112.
+ sed -i -e '/maruku/d' .yardopts || die
+
+ sed -i -e '/bundler/ s:^:#:' -e '1irequire "pathname"' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/rbpdf/rbpdf-1.21.3.ebuild b/dev-ruby/rbpdf/rbpdf-1.21.3.ebuild
index 62ceeefdb1f1..2b31c3cb7ff3 100644
--- a/dev-ruby/rbpdf/rbpdf-1.21.3.ebuild
+++ b/dev-ruby/rbpdf/rbpdf-1.21.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
# Avoid the complexity of the "rake" recipe and run the tests manually.
RUBY_FAKEGEM_RECIPE_TEST=none